checkRequire("Lua_PetBasicPanel");
Lua_FootprintPanel = class("Lua_FootprintPanel", Lua_PetBasicPanel);
function Lua_FootprintPanel:ctor(p)
	self.isAdvancing = false;
	self.modelType = 2;
	self:superCall("ctor", p);
end

function Lua_FootprintPanel.Get:eventIdList()
	if self._eventIdList == nil then
		self._eventIdList = {funBtn1 = {11165}, funBtn2 = {11165}, comBtn1 = {11166, 11167}, skill = {11168}};
	end
	return self._eventIdList;
end

function Lua_FootprintPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.upgradeDescTxt.text = LanUtil.getValue(110538);

	self:addLuaEvent("FOOTPRINT_PANEL_MODEL_SHOW", self, self.showAndHideModel);
	self:addLuaEvent("FOOTPRINT_PANEL_UPDATE", self, self.updatePanel);
	self:addLuaEvent("SET_AUTO_LVLUP_TIMER", self, self.setAutoLvlUpTimer);
	self:addLuaEvent("UESAGE_STATE_UPDATE", self, self.updateFightState);
	self:addLuaEvent("FOOT_HUANXING_UPDATE", self, self.onHuanXingUpdate)

	DataCenter.footprintData:sGetPanelInfo();
end

function Lua_FootprintPanel:showAndHideModel(isShow)
	if isShow == true then
		Lua_CommonUtil.addTimer("FootPrintEffect", 2, self, self.effectLoop);
	else
		Lua_CommonUtil.removeTimer(self, self.effectLoop);
	end
	self.modelTexture.mainContent:SetActive(isShow);
end

function Lua_FootprintPanel:initPanel()
	self:superCall("initPanel");

	self.isShowItemOutPutWindow = true;

	self.panaceaTitle.text = LanUtil.getValue(110533);
	self.rightBtn1.label = LanUtil.getValue(110504);
	self.rightBtn2.label = LanUtil.getValue(110506);

	self.modelTexture:setRot(-20, 0, 0);
end

function Lua_FootprintPanel:updatePanel()
	self.commonData = DataCenter.footprintData;
end

function Lua_FootprintPanel:setModel()
	local effectPos = nil;
	local effectRot = nil;
	local effectSca = nil;
	local curModel = self.modelList[self.curModelIndex];
	if self.curModelId ~= curModel.id then
		Lua_CommonUtil.removeTimer(self, self.effectLoop);
		Lua_CommonUtil.addTimer("FootPrintEffect", 2, self, self.effectLoop);

		local effectInfo = self._commonData:getEffectInfo(curModel.id);
		if effectInfo == nil then
			self.modelTexture:setUrl("/mounts/" .. curModel.id, tostring(curModel.id));
		else
			self.modelTexture:setUrl(effectInfo.floder .. "/" .. effectInfo.path, tostring(effectInfo.path));
		end

		local modelInfo = self._commonData:getModelInfo(curModel.id);
		if modelInfo.pos == nil then
			effectPos = self.effectPos;
		else
			effectPos = Vector3(modelInfo.pos[1], modelInfo.pos[2], modelInfo.pos[3]);
		end

		if modelInfo.rot == nil then
			effectRot = self.effectRot;
		else
			effectRot = Vector3(modelInfo.rot[1], modelInfo.rot[2], modelInfo.rot[3]);
		end

		if modelInfo.sca == nil then
			effectSca = self.effectSca;
		else
			effectSca = Vector3(modelInfo.sca[1], modelInfo.sca[2], modelInfo.sca[3]);
		end

		self.modelTexture:setRot(effectRot.x, effectRot.y, effectRot.z);
		self.modelTexture:setSacle(effectSca.x, effectSca.y, effectSca.z);
		self.modelTexture:setLocation(effectPos.x, effectPos.y, effectPos.z);
	end
end

function Lua_FootprintPanel:openTranWin()
	self:superCall("openTranWin");

	Lua_WindowUtil.openWin("Lua_TransWindow", WinParam.ACTION_OPEN, 6);
end

function Lua_FootprintPanel:updateCommonBtn2()
	self:superCall("updateCommonBtn2");
	self:setCheckBoxBtnImage();
end

function Lua_FootprintPanel:onCommonBtn3()
	if self._commonData ~= nil then
		self._commonData:sHuanXingMsg(self.modelList[self.curModelIndex].id);
	end
end

function Lua_FootprintPanel:onHuanXingUpdate(msg)
	if msg.shape_id ~= 0 and msg.shape_id == self.modelList[self.curModelIndex].id then
		self.commonBtnObj3:SetActive(false);
		self.huanXing_Mark:setEnable(true);
	else
		self.commonBtnObj3:SetActive(true);
		self.huanXing_Mark:setEnable(false);
	end
end

function Lua_FootprintPanel:yinCangCheckBoxClick()
	if self.commonData ~= nil then
		if self.yinCangCheckBox.seleted then
			self._commonData:sUse(self._commonData.servantShape, 0);
		else
			self._commonData:sUse(self.modelList[self.curModelIndex].id, 1);
		end
	end
end

function Lua_FootprintPanel:effectLoop()
    if self.modelTexture == nil then
    	return;
    end

    local effectRoot = self.modelTexture.mainContent;
    if effectRoot ~= nil then
        effectRoot:SetActive(false);
        effectRoot:SetActive(true);
    end
end

function Lua_FootprintPanel:dispose()
    Lua_CommonUtil.removeTimer(self, self.effectLoop);
    self:superCall("dispose");
end