checkRequire("Lua_PetBasicPanel");
Lua_MagicWeaponPanel = class("Lua_MagicWeaponPanel", Lua_PetBasicPanel);
function Lua_MagicWeaponPanel:ctor(p)
	self.isAdvancing = false;
	self.modelType = 1;
	self:superCall("ctor", p);
end

function Lua_MagicWeaponPanel.Get:eventIdList()
	if self._eventIdList == nil then
		self._eventIdList = {funBtn1 = {11150}, funBtn2 = {11150}, comBtn1 = {11151, 11152}, skill = {11153}};
	end
	return self._eventIdList;
end

function Lua_MagicWeaponPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.upgradeDescTxt.text = LanUtil.getValue(110540);

	self:addLuaEvent("MAGIC_WEAPON_PANEL_UPDATE", self, self.updatePanel);
	self:addLuaEvent("SET_AUTO_LVLUP_TIMER", self, self.setAutoLvlUpTimer);
	self:addLuaEvent("UESAGE_STATE_UPDATE", self, self.updateFightState);
	self:addLuaEvent("MAGIC_HUANXING_UPDATE", self, self.onHuanXingUpdate)
	DataCenter.magicWeaponData:sGetPanelInfo();
end

function Lua_MagicWeaponPanel:delayShowModel()
	self:superCall("delayShowModel");

	self.modelTexture.uiEffect:setAction(1);
end

function Lua_MagicWeaponPanel:initPanel()
	self:superCall("initPanel");

	self.isShowItemOutPutWindow = true;
	self.critObj:SetActive(false);

	self.rightBtn1.label = LanUtil.getValue(110504);
	self.rightBtn2.label = LanUtil.getValue(110506);
	self.panaceaTitle.text = LanUtil.getValue(110534);

	self.isShowItemOutPutWindow = true;
	self.critObj:SetActive(false);

	self.modelTexture:setModelOffset(-293, -582);
	self.modelTexture:setEffectPos(309, 0, 0);
	self.modelTexture:setCamView(10);

	self.animType = 1;
end

function Lua_MagicWeaponPanel:updatePanel()
	self.commonData = DataCenter.magicWeaponData;
end

function Lua_MagicWeaponPanel:onCommonBtn1()
	self:superCall("onCommonBtn1");
end

function Lua_MagicWeaponPanel:openTranWin()
	self:superCall("openTranWin");
	Lua_WindowUtil.openWin("Lua_TransWindow", WinParam.ACTION_OPEN, 7);
end

function Lua_MagicWeaponPanel:updateCommonBtn2()
	self:superCall("updateCommonBtn2");
	self:setCheckBoxBtnImage()
end

function Lua_MagicWeaponPanel:onCommonBtn3()
	if self._commonData ~= nil then
		self._commonData:sHuanXingMsg(self.modelList[self.curModelIndex].id);
	end
end

function Lua_MagicWeaponPanel:onHuanXingUpdate(msg)
	if msg.shape_id ~= 0 and msg.shape_id == self.modelList[self.curModelIndex].id then
		self.commonBtnObj3.gameObject:SetActive(false);
		self.huanXing_Mark:setEnable(true);
	else
		self.commonBtnObj3.gameObject:SetActive(true);
		self.huanXing_Mark:setEnable(false);
	end
end

function Lua_MagicWeaponPanel:yinCangCheckBoxClick()
	if self.commonData ~= nil then
		if self.yinCangCheckBox.seleted == true then
			self._commonData:sUse(self._commonData.servantShape, false);
		else
			self._commonData:sUse(self.modelList[self.curModelIndex].id, true);
		end
	end
end