--骑宠装备Item
Lua_MountEquipItem = class("Lua_MountEquipItem", Lua_DisplayObject);
function Lua_MountEquipItem:ctor(p)
	self:superCall("ctor",p,nil);
end

function Lua_MountEquipItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemImg = Lua_ToolImage.new(self.content);
	self.itemImg:setDepth(6);
	self.itemImg:setScale(0.8, 0.8, 0.8);
	self.itemImg:removeFun(false);
	self.itemImg.item_bg:addClickFuntion(self, self.onMountIconClick);

	self.title_bg = UICreate.createUIAtlasImage(self.content, "", "", 0, 0, 61, 61);
	self.title_bg:setDepth(8);
	self.title_bg.name = "title_bg";
end

function Lua_MountEquipItem:setMountNnmetype(val) -- 命名
	self.mountType = val;
	self.content.name = "Lua_MountEquipItem"..tostring(val);
end

function Lua_MountEquipItem:setMountType(data)
	self.data = data;
	if data.item_id ~= 0 and data.item_id ~= nil then
		self:setShowMount(data.mountEquipVo)
		self.title_bg:setEnable(false)
	else
		self:setShowMount(nil);
		self.title_bg:setEnable(true);
		self:setShowTitleBg(data.part);
	end

	self:showRedDot(data.isShowRedDot or data.isShowIconRed);
end

function Lua_MountEquipItem:setShowMount(vo) -- 骑装显示
	if vo ~= nil then
		self.itemImg.data = vo;
	else
		if self.itemImg ~= nil then
			self.itemImg.data = nil;
		end
	end
end

function Lua_MountEquipItem:setShowTitleBg(part) -- 骑装显示
	self.title_bg:setAltas("petWindow_atlas", tostring("mount" .. part));
end

function Lua_MountEquipItem:showRedDot(val) -- 红点显示
	if val == true then
		if self._redDotIcon == nil then
			self._redDotIcon = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_hongdian", 25, 25, 0, 0);
			self._redDotIcon:setDepth(25);
			self._redDotIcon.name = "redDotIcon1";
		end
		self._redDotIcon:setEnable(true);
	else
		if self._redDotIcon ~= nil then
			self._redDotIcon:setEnable(false);
		end
	end
end

function Lua_MountEquipItem:onMountIconClick()
	DataCenter.mountEquipData.mountEquipPartInedx = DataCenter.mountEquipData:getMountEquipIndex(self.data.part);
	if self.data.item_id ~= 0 then
		Lua_PackUtil.showItemInfo(self.data.mountEquipVo,false,nil,true);
	else
		local arr = DataCenter.mountEquipData:getSamePartEquipData(self.data.part);
		local len = arr:getSize();
		if len > 0 then
			Lua_WindowUtil.openWin("Lua_ItemSelectedWindow", nil, {list=arr, isEquip=true ,isEquipPart=true});
		else
			Lua_WindowUtil.openWin("lua_MountEquipOutputWindow", nil, {400060001+self.data.part*100, 1});
		end
	end
end

function Lua_MountEquipItem:dispose()
	self:superCall("dispose");
end