checkRequire("Lua_PetBasicPanel");
checkRequire("Lua_MountEquipItem");
Lua_MountPanel = class("Lua_MountPanel", Lua_PetBasicPanel);
function Lua_MountPanel:ctor(p)
	self.isAdvancing = false;
	self.modelType = 1;
	self.isMountPos = true;
	self.isNeedUpgradeDescTxt = true;
	self:superCall("ctor", p);
end

function Lua_MountPanel.Get:eventIdList()
	if self._eventIdList == nil then
		self._eventIdList = {funBtn1 = {11160}, funBtn2 = {11160}, comBtn1 = {11161, 11162}, skill = {11163}};
	end
	return self._eventIdList;
end

function Lua_MountPanel:buildShowItem()
	self:superCall("buildShowItem");

	self:addLuaEvent("MOUNT_PANEL_UPDATE", self, self.updatePanel);
	self:addLuaEvent("SET_AUTO_LVLUP_TIMER", self, self.setAutoLvlUpTimer);
	self:addLuaEvent("UESAGE_STATE_UPDATE", self, self.updateFightState);
	self:addLuaEvent("MOUNT_HUANXING_UPDATE", self, self.onHuanXingUpdate)

	self:addLuaEvent("MOUNT_PANEL_UPDATE", self, self.updateMountEquipItem); -- 骑装
	self:addLuaEvent("PACK_MOUNTEQUIP_UPDATE", self, self.updateMountEquipItem); -- 骑装
	DataCenter.mountData:sMountPanelInfo();
end

function Lua_MountPanel:initPanel()
	self:superCall("initPanel");

	self.isShowItemOutPutWindow = true;
	self.critObj:SetActive(false);

	self.rightBtn1.label = LanUtil.getValue(110504);
	self.rightBtn2.label = LanUtil.getValue(110506);
	self.panaceaTitle.text = LanUtil.getValue(110536);

	self.platform:setLocation(-27, -67, 0);

	self.modelTexture:setModelAngle(0, 140, 0);
	self.modelTexture:setCamView(21);
	self.modelTexture:setModelOffset(-637, -333);

	self:updateAutoInfo();
end

function Lua_MountPanel:updatePanel()
	self.commonData = DataCenter.mountData;
end

function Lua_MountPanel:updateMountEquipItem()
	-- 更新骑装信息
	if DataCenter.funcOpenData:isOpened(10141) == true then
		local data = DataCenter.mountEquipData.mountHolesInfo;
		-- 骑装出现条件
		if self.itemArr == nil then
			self.itemArr = Array();

			local item;
			for i,v in pairs(data) do
				item = Lua_MountEquipItem.new(self.content);
				item:setLocation(-435 + (i - 1) * 85, -145, 0);
				item:setMountNnmetype(i);
				item:setMountType(v);
				self.itemArr:add(item);
			end
		else
			for k, v in pairs(data) do
				if v.part ~= nil then
					self.itemArr[tonumber(v.part)]:setMountType(v);
				end
			end
		end
	end
end

function Lua_MountPanel:onCommonBtn1()
	self:superCall("onCommonBtn1");
end

function Lua_MountPanel:openTranWin()
	self:superCall("openTranWin");
	Lua_WindowUtil.openWin("Lua_TransWindow", WinParam.ACTION_OPEN, 5);
end

function Lua_MountPanel:updateCommonBtn2()
	self:superCall("updateCommonBtn2");
	self:setCheckBoxBtnImage()
end

function Lua_MountPanel:onCommonBtn3()
	if self._commonData ~= nil then
		self._commonData:sHuanXingMsg(self.modelList[self.curModelIndex].id);
	end
end

function Lua_MountPanel:onHuanXingUpdate(msg)
	if msg.shape_id ~= 0 and msg.shape_id == self.modelList[self.curModelIndex].id then
		self.commonBtnObj3:SetActive(false);
		self.huanXing_Mark:setEnable(true);
	else
		self.commonBtnObj3:SetActive(true);
		self.huanXing_Mark:setEnable(false);
	end
end

function Lua_MountPanel:yinCangCheckBoxClick()
	if self.commonData ~= nil then
		if self.yinCangCheckBox.seleted == true then
			self._commonData.transIdTemp = 0;
			self._commonData:sUse(self._commonData.servantShape, 0);
		else
			self._commonData:sUse(self.modelList[self.curModelIndex].id, 1);
		end
	end
end

function Lua_MountPanel:dispose()
	if self.itemArr ~= nil then
		self.itemArr:dispose();
		self.itemArr:clear();
		self.itemArr = nil;
	end
	self:superCall("dispose");
end