checkRequire("Lua_PetBasicPanel");
Lua_TalismanPanel = class("Lua_TalismanPanel", Lua_PetBasicPanel);
function Lua_TalismanPanel:ctor(p)
	self.isAdvancing = false;
	self.modelType = 1;
	self:superCall("ctor", p);
end

function Lua_TalismanPanel.Get:eventIdList()
	if self._eventIdList == nil then
		self._eventIdList = {funBtn1 = {11155}, funBtn2 = {11155}, comBtn1 = {11156, 11157}, skill = {11158}};
	end
	return self._eventIdList;
end

function Lua_TalismanPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.upgradeDescTxt.text = LanUtil.getValue(110541);

	self:addLuaEvent("TALISMAN_PANEL_UPDATE", self, self.updatePanel);
	self:addLuaEvent("SET_AUTO_LVLUP_TIMER", self, self.setAutoLvlUpTimer);
	self:addLuaEvent("UESAGE_STATE_UPDATE", self, self.updateFightState);
	self:addLuaEvent("TALISMAN_HUANXING_UPDATE", self, self.onHuanXingUpdate)
	DataCenter.talismanData:sGetPanelInfo();
end

function Lua_TalismanPanel:initPanel()
	self:superCall("initPanel");

	self.isShowItemOutPutWindow = true;
	self.critObj.gameObject:SetActive(false);

	self.rightBtn1.txt.text = LanUtil.getValue(110504);
	self.rightBtn2.txt.text = LanUtil.getValue(110506);
	self.panaceaTitle.uiwidget.text = LanUtil.getValue(110535);

	self.modelTexture:setModelAngle(-11.34, 26.93, -2.22);
	self.modelTexture:setModelOffset(-226, 57);
	self.modelTexture:setEffectPos(25.35, -93.11, 166.11);
	self.modelTexture:setCamView(8);

	self.animType = 1;
	self.modelTexture.uiEffect:setAction(1);
end

function Lua_TalismanPanel:updatePanel()
	self.commonData = DataCenter.talismanData;
end

function Lua_TalismanPanel:onCommonBtn1()
	self:superCall("onCommonBtn1");
end

function Lua_TalismanPanel:openTranWin()
	self:superCall("openTranWin");
	Lua_WindowUtil.openWin("Lua_TransWindow", WinParam.ACTION_OPEN, 8);
end

function Lua_TalismanPanel:updateCommonBtn2()
	self:superCall("updateCommonBtn2");
	self:setCheckBoxBtnImage();
end

function Lua_TalismanPanel:onCommonBtn3()
	if self._commonData ~= nil then
		self._commonData:sHuanXingMsg(self.modelList[self.curModelIndex].id);
	end
end

function Lua_TalismanPanel:onHuanXingUpdate(msg)
	if msg.shape_id ~= 0 and msg.shape_id == self.modelList[self.curModelIndex].id then
		self.commonBtnObj3.gameObject:SetActive(false);
		self.huanXing_Mark:setEnable(true);
	else
		self.commonBtnObj3.gameObject:SetActive(true);
		self.huanXing_Mark:setEnable(false);
	end
end

function Lua_TalismanPanel:yinCangCheckBoxClick()
	if self.commonData ~= nil then
		if self.yinCangCheckBox.seleted == true then
			self._commonData:sUse(self._commonData.servantShape, 0);
		else
			self._commonData:sUse(self.modelList[self.curModelIndex].id, 1);
		end
	end
end