checkRequire("Lua_WingUtil");
Lua_WingEquipSelectWindow = class("Lua_WingEquipSelectWindow", Lua_Window);
function Lua_WingEquipSelectWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_WingEquipSelectWindow";
	self.skinName = "WingSelectWindow_skin";
	self.blackAlpha = 0.5;
end

function Lua_WingEquipSelectWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.euipArr = Array();
	self.wingName.text = LanUtil.getValue(110727);

	self.equipDragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 380, 432));
	self.equipDragList:setLocation(0, -35, 0);
	self.equipDragList:setListCell(Lua_WingEquipItem, 126, 380, 1);

	self:addLuaEvent("EQUIP_CHILDCELL_CLICK", self, self.EquipChildCellClick);
	self:addLuaEvent("CREATE_EQUIP_ITEM", self, self.CreateEquipItem);
	sendMsg(11403818);
end

function Lua_WingEquipSelectWindow:EquipChildCellClick(data)
	self.equipData = data.equip;
	for i = 1, self.euipArr:getSize() do
		if self.euipArr[i].select == true then
			self.euipArr[i].select = false;
		elseif self.euipArr[i].equip.item_id == data.equip.item_id then
			self.euipArr[i].select = true;
		end
	end
	self.equipDragList:setLuaArrayData(self.euipArr, false);
	DataCenter.GodWingData:saveSelectEquip(self.equipData);
	Lua_MsgUtil.callFunc("SELECT_EQUIP_CLICK");
	self:hide();
end

function Lua_WingEquipSelectWindow:CreateEquipItem()
	self.tarr = DataCenter.GodWingData:getPackEquipInfoList();
	for i = 1, self.tarr:getSize() do
		local _mater = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemByIndex(tonumber(self.tarr[i].equip.pkg_index));
		local info = {};
		info.data = _mater;
		info.select = false;
		info.equip = self.tarr[i].equip;
		self.euipArr:add(info)
	end
	self.equipDragList:setLuaArrayData(self.euipArr, false);
end

function Lua_WingEquipSelectWindow:dispose()
	if self.equipDragList ~= nil then
		self.equipDragList:dispose();
		self.equipDragList = nil;
	end

	self:superCall("dispose");
end





--------------------------------------------------





Lua_WingEquipItem = class("Lua_WingEquipItem", Lua_ListCell);
function Lua_WingEquipItem:ctor(p)
	self:superCall("ctor", p, "WingSelectItem_skin");
end

function Lua_WingEquipItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemImg = Lua_ToolImage.new(self.content);
	self.itemImg:setDepth(5);
	self.itemImg:setLocation(-132, 2, 0);
	self.itemImg:removeFun(false);
	self.itemImg.item_bg:addClickFuntion(self, self.onWingIconClick);
end

function Lua_WingEquipItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	self.itemImg.data = data.data;
	self.wingTxt.text = self.itemImg.data.colorName;

	self.selectSp:setEnable(data.select);
end

function Lua_WingEquipItem:onPlayerSoundClick(go)
	Lua_MsgUtil.callFunc("EQUIP_CHILDCELL_CLICK", self._data);
end

function Lua_WingEquipItem:onWingIconClick(go)
	if self._data.data ~= nil then
		Lua_PackUtil.showItemInfo(self._data.data, false, nil, false);
	end
end

function Lua_WingEquipItem:dispose()
	if self.itemImg ~= nil then
		self.itemImg:dispose();
		self.itemImg = nil;
	end
	self._data = nil;

	self:superCall("dispose");
end