Lua_WingPreviewWindow = class("Lua_WingPreviewWindow", Lua_Window);
function Lua_WingPreviewWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_WingPreviewWindow";
	self.skinName = "WingPreviewWindow_skin";
end

function Lua_WingPreviewWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.selectId = 1;

	self.careernum = DataCenter.roleData.career;
	self.wingConfig = Lua_WingUtil.getWingConfig(self.careernum);
	local tvoInfo = Lua_WingUtil.getItemData(self.wingConfig[self.selectId]);
	self.wingName.text = tvoInfo.name .. " " .. LanUtil.getValue(110731);

	local modelStr = "/mounts/" .. Lua_WingUtil.getWingModelConfig(self.wingConfig[1])
	self.wingEffect = UICreate.createUIEffect(self.content, modelStr, Lua_WingUtil.getWingModelConfig(self.wingConfig[1]), 0, 0);
	self.wingEffect:setSacle(200, 200, 200);
	self.wingEffect:setLocation(-1, -109, -100);
	self.wingEffect:SetRenderQueue(self.wingName, 5, 2);

	self.leftIcon:addClickFuntion(self, self.onLeftClick);
	self.rightIcon:addClickFuntion(self, self.onRightClick);
end

function Lua_WingPreviewWindow:onLeftClick(val)
	if self.selectId <= 1 then
		return;
	end
	self.selectId = self.selectId - 1;

	if self.selectId == 1 then
		self.leftIcon:setAltas("common_atlas_2", "ui_common_jiantou_02");
	end

	if self.selectId <= #self.wingConfig then
		self.rightIcon:setAltas("common_atlas_2", "ui_common_jiantou_01");
	end
	self:setWingPreviewModel();
end

function Lua_WingPreviewWindow:onRightClick(val)
	if self.selectId >= #self.wingConfig then
		return;
	end
	self.selectId = self.selectId + 1;

	if self.selectId >= 1 then
		self.leftIcon:setAltas("common_atlas_2", "ui_common_jiantou_01");
	end

	if #self.wingConfig == self.selectId then
		self.rightIcon:setAltas("common_atlas_2", "ui_common_jiantou_02");
	end
	self:setWingPreviewModel();
end

function Lua_WingPreviewWindow:setWingPreviewModel()
	local id = self.wingConfig[self.selectId];
	local classtext = self:getWingClass();
	local tvoInfo = Lua_WingUtil.getItemData(id);
	self.wingName.text = tvoInfo.name .. " " .. classtext;

	local configInfo = getConfig({"playerHanger", Lua_WingUtil.getWingModelConfig(id)});
	local modelStr = "/mounts/" .. Lua_WingUtil.getWingModelConfig(id);
	self.wingEffect:setUrl(modelStr, Lua_WingUtil.getWingModelConfig(id));

	if configInfo ~= nil then
		if configInfo.servant_sca ~= nil then
			self.wingEffect:setSacle(configInfo.servant_sca[1], configInfo.servant_sca[2], configInfo.servant_sca[3]);
		end
		if configInfo.servant_rot ~= nil then
			self.wingEffect:setRot(configInfo.servant_rot[1], configInfo.servant_rot[2], configInfo.servant_rot[3]);
		end
		if configInfo.servant_pos ~= nil then
			self.wingEffect:setLocation(configInfo.servant_pos[1], configInfo.servant_pos[2], configInfo.servant_pos[3]);
		end
	end
end

function Lua_WingPreviewWindow:getWingClass()
	local classtext = "";
	if self.careernum == 1 then
		if self.wingConfig[self.selectId] %(self.wingConfig[1] -1) == 1 then
			classtext = LanUtil.getValue(110731)
		elseif self.wingConfig[self.selectId] %(self.wingConfig[1] -1) == 2 then
			classtext = LanUtil.getValue(110732)
		elseif self.wingConfig[self.selectId] %(self.wingConfig[1] -1) == 3 then
			classtext = LanUtil.getValue(110733)
		elseif self.wingConfig[self.selectId] %(self.wingConfig[1] -1) == 4 then
			classtext = LanUtil.getValue(110743)
		elseif self.wingConfig[self.selectId] %(self.wingConfig[1] -1) == 5 then
			classtext = LanUtil.getValue(110758)
		end
	elseif self.careernum == 2 then
		if self.wingConfig[self.selectId] %(self.wingConfig[1] -1) == 1 then
			classtext = LanUtil.getValue(110731)
		elseif self.wingConfig[self.selectId] %(self.wingConfig[1] -1) == 2 then
			classtext = LanUtil.getValue(110732)
		elseif self.wingConfig[self.selectId] %(self.wingConfig[1] -1) == 3 then
			classtext = LanUtil.getValue(110733)
		elseif self.wingConfig[self.selectId] %(self.wingConfig[1] -1) == 4 then
			classtext = LanUtil.getValue(110743)
		elseif self.wingConfig[self.selectId] %(self.wingConfig[1] -1) == 5 then
			classtext = LanUtil.getValue(110758)
		end
	elseif self.careernum == 3 then
		if self.wingConfig[self.selectId] %(self.wingConfig[1] -1) == 1 then
			classtext = LanUtil.getValue(110731)
		elseif self.wingConfig[self.selectId] %(self.wingConfig[1] -1) == 2 then
			classtext = LanUtil.getValue(110732)
		elseif self.wingConfig[self.selectId] %(self.wingConfig[1] -1) == 3 then
			classtext = LanUtil.getValue(110733)
		elseif self.wingConfig[self.selectId] %(self.wingConfig[1] -1) == 4 then
			classtext = LanUtil.getValue(110743)
		elseif self.wingConfig[self.selectId] %(self.wingConfig[1] -1) == 5 then
			classtext = LanUtil.getValue(110758)
		end
	end
	return classtext;
end

function Lua_WingPreviewWindow:dispose()
	if self.wingEffect ~= nil then
		self.wingEffect:dispose();
		self.wingEffect = nil;
	end

	self:superCall("dispose");
end