checkRequire("Lua_WingUtil");
checkRequire("Lua_WingSortTool");
Lua_WingSelectWindow = class("Lua_WingSelectWindow", Lua_Window);
function Lua_WingSelectWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_WingSelectWindow";
	self.skinName = "WingSelectWindow_skin";
	self.blackAlpha = 0.5;
	self.isClickClose = true;
end

function Lua_WingSelectWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.wingName.text = LanUtil.getValue(110726);
	self.wing_rank = Lua_WindowUtil.getWinData(self.windowName, true) - 1;

	self.wingDragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 380, 432));
	self.wingDragList:setLocation(0, -35, 0);
	self.wingDragList:setListCell(Lua_WingItem, 126, 380, 1);
	
	self:addLuaEvent("WING_CHILDCELL_CLICK", self, self.WingChildCellClick);
	self:addLuaEvent("CREATE_WING_ITEM", self, self.CreateWingItem);
	sendMsg(11403816);
end

function Lua_WingSelectWindow:WingChildCellClick(data)
	for i = 1, self.tarr:getSize() do
			if self.tarr[i].select == true then
				self.tarr[i].select = false;
			elseif self.tarr[i].wing.wing_id == data.wing.wing_id then
				self.tarr[i].select = true;
			end
		end

		self.wingDragList:setLuaArrayData(self.tarr, false);
		if self.wing_rank == -1 then
			local msg = ProtoPublic_pb.Proto11403814();
			msg.pack_index = data.wing.wing_pack_index;
			sendMsg(11403814, msg);
		else
		DataCenter.GodWingData:saveSelectWing(data.wing);
		Lua_MsgUtil.callFunc("SELECT_WING_CLICK");
	end
	self:hide();
end

function Lua_WingSelectWindow:CreateWingItem()
	self:selectWing();
end

-- function Lua_WingSelectWindow:showWin(id)
-- 	self.wing_rank = id - 1;
-- end

function Lua_WingSelectWindow:selectWing()
	local list = DataCenter.GodWingData:getPackWingInfoList();
	local careernum = DataCenter.roleData.career;
	local wingConfig = Lua_WingUtil.getWingConfig(careernum);
	self.tarr = Array();
	if self.wing_rank == -1 then
		for i = 1, list:getSize() do
			for k, p in pairs(wingConfig) do
				if list[i].wing_id == p then
					local info = Lua_WingSortTool.new();
					info.wing = list[i]
					info.select = false
					self.tarr:add(info);
				end
			end
			self.tarr:sort("sortAllWing", false);
		end
	else
		for i = 1, list:getSize() do
			if list[i].wing_class == self.wing_rank then
				local info = Lua_WingSortTool.new();
				info.wing = list[i]
				info.select = false
				self.tarr:add(info);
			end
		end
		self.tarr:sort("sortAllWing", true);
	end
	self.wingDragList:setLuaArrayData(self.tarr, false);

	if self.tarr:getSize() <= 0 then
		if self.wing_rank == 0 then
			self.tipsTxt.text = LanUtil.getValue(110754)
		elseif self.wing_rank == 1 then
			self.tipsTxt.text = LanUtil.getValue(110755)
		elseif self.wing_rank == 2 then
			self.tipsTxt.text = LanUtil.getValue(110756)
		else
			self.tipsTxt.text = ""
		end
	end
	self.tipsTxt:setEnable(self.tarr:getSize() <= 0);
end

function Lua_WingSelectWindow:dispose()
	if self.wingDragList ~= nil then
		self.wingDragList:dispose();
		self.wingDragList = nil;
	end
	self:superCall("dispose");
end





--------------------------------------------------





Lua_WingItem = class("Lua_WingItem", Lua_ListCell);
function Lua_WingItem:ctor(p)
	self:superCall("ctor", p, "WingSelectItem_skin");
end

function Lua_WingItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemImg = Lua_ToolImage.new(self.content);
	self.itemImg:setDepth(5);
	self.itemImg:setLocation(-132, 2, 0);
end

function Lua_WingItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	local _mater = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemByIndex(tonumber(data.wing.wing_pack_index));
	self.itemImg.data = _mater
	self.wingTxt.text = self.itemImg.data.colorName;

	self.selectSp:setEnable(data.select);
end

function Lua_WingItem:onPlayerSoundClick(go)
	Lua_MsgUtil.callFunc("WING_CHILDCELL_CLICK", self.data);
end

function Lua_WingItem:dispose()
	if self.itemImg ~= nil then
		self.itemImg:dispose();
		self.itemImg = nil;
	end
	self.data = nil;

	self:superCall("dispose");
end