Lua_WingSyntheticWindow = class("Lua_WingSyntheticWindow", Lua_SecondSizeWindow)
function Lua_WingSyntheticWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_WingSyntheticWindow";
	self.skinName = "WingSyntheticWindow_skin";
	self.blackAlpha = 230 / 255;
	self.titleText = LanUtil.getValue(110712);
end

function Lua_WingSyntheticWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.equip_list = {};
	self.propsInfo = Array();
	self.successNum = 0;

	self:addLuaEvent("ON_OPENWING_SYNTHETIC_WINDOW", self, self.onOpenWingSyntheticWindow);
	self:addLuaEvent("SELECT_EQUIP_CLICK", self, self.SelectEquipClick);
	self:addLuaEvent("SELECT_WING_CLICK", self, self.SelectWingClick);
	self:addLuaEvent("ON_WING_SYNTHESIS", self, self.rWingSynthesis);
	self:addLuaEvent("REMOVE_EQUIP_ITEM1", self, self.REMOVE_EQUIP_ITEM1);
	self:addLuaEvent("REMOVE_EQUIP_ITEM2", self, self.REMOVE_EQUIP_ITEM2);
	self:addLuaEvent("REMOVE_EQUIP_ITEM3", self, self.REMOVE_EQUIP_ITEM3);
	self:addLuaEvent("REMOVE_EQUIP_ITEM4", self, self.REMOVE_EQUIP_ITEM4);
	self:addLuaEvent("REMOVE_EQUIP_ITEM5", self, self.REMOVE_EQUIP_ITEM5);
	self:addLuaEvent("REMOVE_WING_ITEM", self, self.REMOVE_WING_ITEM);

	self.pointSprite:addClickFuntion(self, self.onHelpClick)
	self.syntheticBtn:addClickFuntion(self, self.onWingSynthetic);
	self.put_inBtn:addClickFuntion(self, self.onPutIn);
	self.putEquip1:addClickFuntion(self, self.onPutEquip1);
	self.putEquip2:addClickFuntion(self, self.onPutEquip2);
	self.putEquip3:addClickFuntion(self, self.onPutEquip3);
	self.putEquip4:addClickFuntion(self, self.onPutEquip4);
	self.putEquip5:addClickFuntion(self, self.onPutEquip5);
	self.putWing:addClickFuntion(self, self.onPutWing);

	self.describeLabel.uiwidget.text = LanUtil.getValue(110734);

	self.btnNames = Array();
	self.btnNames:add({name = LanUtil.getValue(110714), eventIds = {11136}, openId = 12101});
	self.btnNames:add({name = LanUtil.getValue(110715), eventIds = {11137}, openId = 12102});
	self.btnNames:add({name = LanUtil.getValue(110716), eventIds = {11138}, openId = 12103});
	self.btnNames:add({name = LanUtil.getValue(110717), eventIds = {11182}, openId = 12104});
	if DataCenter.funcOpenData:isOpened(12105) then
		self.btnNames:add({name = LanUtil.getValue(110757), eventIds = {11184}, openId = 12105});
	end

	self.btnList = Lua_ButtonList.new(self.content, self.btnNames, 65, self, self.onBtnClick,
		"ui_common_btn_p6", "ui_common_btn_p5", Vector4(0, 0, 164, 66), Vector4(0, 0, 164, 66),
		Lua_ColorDefine.transColor("FFFFFF"), Lua_ColorDefine.transColor("FFFFFF"), Vector4(26, 26, 120, 30), 1, "common_atlas_1");
	self.btnList:setLocation(-466, 210, 0);
	self.btnList:setDepth(5);
	self.btnList:setRedDotPos(74, 22);
	self.btnList:setSelected(1, false);

	self.goodList = Array();
	self.getList = Array();
	self.needList = Array();
	self.fiveList = Array();
	self.equipList = Array();
	local timg;
	for i = 1, 11 do
		timg = Lua_ToolImage.new(self.content);
		timg:setDepth(7);
		if i <= 3 then
			timg:setLocation(-213, 175 - 127 *(i - 1), 0);
			if i == 1 then
				timg:showLockSlot(true);
				self.fiveList:add(timg)
			end
			if i > 1 then
				self.needList:add(timg)
			end
		elseif i > 3 and i <= 6 then
			timg:setLocation(265, 175 - 127 *(i - 4), 0);
			self.equipList:add(timg)
		elseif i > 6 and i <= 8 then
			timg:setLocation(418.5, 109.5 - 126.5 *(i - 7), 0);
			self.equipList:add(timg)
		elseif i > 8 and i <= 10 then
			timg:setLocation(-60 + 176 *(i - 9), 93, 0);
			self.getList:add(timg)
		else
			timg:setLocation(28, -60, 0);
			self.getList:add(timg)
		end
		self.goodList:add(timg);
	end

	sendMsg(11403810);
	sendMsg(11403818);
end

function Lua_WingSyntheticWindow:onHelpClick()
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", nil, LanUtil.getValue(110753));
end

function Lua_WingSyntheticWindow:onWingSynthetic()
	if self.successNum ~= self.maxSuccessRate[2] then
		-- 状态成功率
		if self.wing_rank == 0 and self.propsInfo[1] < self.propsInfo[2] then
			OperateAlert.show(LanUtil.getValue(110741));
		elseif self.wing_rank ~= 0 and(self.propsInfo[1] < self.propsInfo[2] or self.wing == nil) then
			OperateAlert.show(LanUtil.getValue(110741));
		else
			local tipData = {};
			tipData.des = LanUtil.formateStr(LanUtil.getValue(110740), tostring(self.successNum), tostring(self.maxSuccessRate[2]));
			tipData.owner = self;
			tipData.type = 1;
			tipData.txtPivot = UIWidget.Pivot.Left;
			tipData.txtFontSize = 26;
			tipData.txtSpacingY = 10;
			tipData.subName = LanUtil.getValue(110739);
			tipData.subFun = self.wingSyntheticing;
			-- 确认
			Lua_WindowUtil.openWin("Lua_TipsWindow", nil, tipData);
		end
	else
		self:wingSyntheticing()
	end
end

function Lua_WingSyntheticWindow:wingSyntheticing()
	local cmd = ProtoPublic_pb.Proto11403811();
	cmd.wing_rank = self.wing_rank;
	cmd.wing_id = 0;
	if self.equip_list ~= nil then
		for k, v in pairs(self.equip_list) do
			if v.item_id ~= nil then
				cmd.equip_index_list:append(v.pkg_index);
			end
		end
	end

	if self.wing_rank ~= 0 and self.wing ~= nil then
		cmd.wing_index = self.wing.wing_pack_index;
	else
		cmd.wing_index = -1;
	end
	sendMsg(11403811, cmd);
	-- 刷新已有装备数组
	sendMsg(11403818);
end

function Lua_WingSyntheticWindow:rWingSynthesis()
	self.wing = nil;
	if self.isBind:getSize() ~= 0 then
		self.isBind:clear();
	end

	if self.effect == nil then
		self.effect = UICreate.createUIEffect(self.content, nil, nil, 28, 48);
		self.effect:SetRenderQueue(self.previewLabel, 100, 2, false);
	end

	if self.effect ~= nil and DataCenter.GodWingData.is_chenggong == 1 then
		self.effect:setUrl("/effects/scsEffects/gui_hechengchenggong", "gui_hechengchenggong");
	else
		self.effect:setUrl("/effects/scsEffects/gui_hechengshibai", "gui_hechengshibai");
	end
	self.effect:setEnable(false);
	self.effect:setEnable(true);
	
	DataCenter.GodWingData:clearSelectEquipNum();
	DataCenter.GodWingData:clearSelectWingNum();
	local syntheticInfo = DataCenter.GodWingData:getWingInfoByWingRank(self.wing_rank);
	self.success_rate = syntheticInfo.success_rate;
	local num = syntheticInfo.success_rate .. "%"
	self.successNum = syntheticInfo.success_rate
	self.succeedLabel.text = LanUtil.formateStr(LanUtil.getValue(110725), tostring(num));
	
	for i, v in ipairs(syntheticInfo.need_props_info) do
		if self.wing_rank == 4 then
			if i == 1 then
				self.fiveList[1].data = Lua_ToolVo.new(v.props_id, 1, v.is_bind);
				self.fiveList[1]:showNumLimit(v.have_props_number, v.need_props_number, 2);
				self.fiveList[1]:showLockSlot(false);
			elseif i == 2 then
				self.needList[1].data = Lua_ToolVo.new(v.props_id, 1, v.is_bind);
				self.needList[1]:showNumLimit(v.have_props_number, v.need_props_number, 2);
			end
		else
			self.fiveList[1].data = nil
			self.fiveList[1]:showLockSlot(true);
			self.needList[i].data = Lua_ToolVo.new(v.props_id, 1, v.is_bind);
			self.needList[i]:showNumLimit(v.have_props_number, v.need_props_number, 2);
		end
		self.isBind:add(v.is_bind)
		self.propsInfo:clear();
		self.propsInfo:add(v.have_props_number)
		self.propsInfo:add(v.need_props_number)
	end

	self:checkWingIsBind();

	if self.wing_rank == 0 then
		self.needList[2]:showLockSlot(true);
		self.putWing:setEnable(false);
	else
		self.needList[2]:showLockSlot(false);
		self.putWing:setEnable(true);
	end

	self.putEquip1:setEnable(true);
	self.putEquip2:setEnable(true);
	self.putEquip3:setEnable(true);
	self.putEquip4:setEnable(true);
	self.putEquip5:setEnable(true);
	self.needList[2].data = nil;
	self.needList[2]:showCloseSp(false, false, nil);

	for i = 1, self.equipList:getSize() do
		self.equipList[i].data = nil;
		self.equipList[i]:showCloseSp(false, false, nil);
	end

	if self.equip_list ~= nil then
		for k, v in pairs(self.equip_list) do
			self.equip_list[k] = nil
		end
	end
end

function Lua_WingSyntheticWindow:dispose()
	-- 更新精炼界面
	sendMsg(11403812);
	self:superCall("dispose");
end

function Lua_WingSyntheticWindow:onPutIn()
	self.tarr = DataCenter.GodWingData:getPackEquipInfoList();
	-- local success_rate = Lua_WingUtil.getSynthesis_success_rate(self.wing_rank+1)
	if self.maxSuccessRate[2] <= self.success_rate then
		OperateAlert.show(LanUtil.getValue(110735));
	else
		for k = 1, self.equipList:getSize() do
			if self.equipList[k].data == nil then
				if self.tarr[1] ~= nil and self.maxSuccessRate[2] > self.success_rate then
					local _mater = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemByIndex(tonumber(self.tarr[1].equip.pkg_index));
					self.equipList[k].data = _mater
					self.equipList[k]:removeFun(false);
					self.equip_list[k] = self.tarr[1].equip;
					DataCenter.GodWingData:removeOnePackEquipInfo(self.tarr[1].equip);
					self:addSucceed(self.tarr[1].equip);

					if k == 1 then
						self.equipIsBind_1 = self.tarr[1].equip.is_bind
						self.isBind:add(self.tarr[1].equip.is_bind)
						self.putEquip1:setEnable(false);
						self.equipList[k]:showCloseSp(true, true, "REMOVE_EQUIP_ITEM1", "Lua_WingSyntheticWindow");
						self.equipList[k].item_bg:addClickFuntion(self, self.onWingIconClick1);
					elseif k == 2 then
						self.equipIsBind_2 = self.tarr[1].equip.is_bind
						self.isBind:add(self.tarr[1].equip.is_bind)
						self.putEquip2:setEnable(false);
						self.equipList[k]:showCloseSp(true, true, "REMOVE_EQUIP_ITEM2", "Lua_WingSyntheticWindow");
						self.equipList[k].item_bg:addClickFuntion(self, self.onWingIconClick2);
					elseif k == 3 then
						self.equipIsBind_3 = self.tarr[1].equip.is_bind
						self.isBind:add(self.tarr[1].equip.is_bind)
						self.putEquip3:setEnable(false);
						self.equipList[k]:showCloseSp(true, true, "REMOVE_EQUIP_ITEM3", "Lua_WingSyntheticWindow");
						self.equipList[k].item_bg:addClickFuntion(self, self.onWingIconClick3);
					elseif k == 4 then
						self.equipIsBind_4 = self.tarr[1].equip.is_bind
						self.isBind:add(self.tarr[1].equip.is_bind)
						self.putEquip4:setEnable(false);
						self.equipList[k]:showCloseSp(true, true, "REMOVE_EQUIP_ITEM4", "Lua_WingSyntheticWindow");
						self.equipList[k].item_bg:addClickFuntion(self, self.onWingIconClick4);
					elseif k == 5 then
						self.equipIsBind_5 = self.tarr[1].equip.is_bind
						self.isBind:add(self.tarr[1].equip.is_bind)
						self.putEquip5:setEnable(false);
						self.equipList[k]:showCloseSp(true, true, "REMOVE_EQUIP_ITEM5", "Lua_WingSyntheticWindow");
						self.equipList[k].item_bg:addClickFuntion(self, self.onWingIconClick5);
					end
					self.tarr:remove(1);
				end
			end
		end
	end
end

function Lua_WingSyntheticWindow:onPutEquip1()
	self.selectEquipNum = 1;
	Lua_WindowUtil.openWin("Lua_WingEquipSelectWindow");
end

function Lua_WingSyntheticWindow:onPutEquip2()
	self.selectEquipNum = 2;
	Lua_WindowUtil.openWin("Lua_WingEquipSelectWindow");
end

function Lua_WingSyntheticWindow:onPutEquip3()
	self.selectEquipNum = 3;
	Lua_WindowUtil.openWin("Lua_WingEquipSelectWindow");
end

function Lua_WingSyntheticWindow:onPutEquip4()
	self.selectEquipNum = 4;
	Lua_WindowUtil.openWin("Lua_WingEquipSelectWindow");
end

function Lua_WingSyntheticWindow:onPutEquip5()
	self.selectEquipNum = 5;
	Lua_WindowUtil.openWin("Lua_WingEquipSelectWindow");
end

function Lua_WingSyntheticWindow:onPutWing()
	Lua_WindowUtil.openWin("Lua_WingSelectWindow", WinParam.ACTION_OPEN, self.wing_rank);
end

function Lua_WingSyntheticWindow:onOpenWingSyntheticWindow()
	self:onBtnClick(1);
end

-- function Lua_WingSyntheticWindow:setEquiptData()
-- 	sendMsg(11403818);
-- end

-- function Lua_WingSyntheticWindow:setWingtData()
-- 	Lua_MsgUtil.callFunc("SelectWingClick");
-- end

function Lua_WingSyntheticWindow:SelectEquipClick()
	-- 选择一件装备之后需要在已有装备数组移除，否则一键放入会把刚选择的那件装备继续放入
	sendMsg(11403818);
	local equipData = DataCenter.GodWingData:getSelectEquip();
	if self.maxSuccessRate[2] <= self.success_rate then
		OperateAlert.show(LanUtil.getValue(110735));
	else
		if self.selectEquipNum == 1 then
			self.equipIsBind_1 = equipData.is_bind
			self.isBind:add(equipData.is_bind)
			self.putEquip1:setEnable(false);
			self.equipList[self.selectEquipNum]:showCloseSp(true, true, "REMOVE_EQUIP_ITEM1", "Lua_WingSyntheticWindow");
			self.equipList[self.selectEquipNum]:removeFun(false);
			self.equipList[self.selectEquipNum].item_bg:addClickFuntion(self, self.onWingIconClick1);
		elseif self.selectEquipNum == 2 then
			self.equipIsBind_2 = equipData.is_bind
			self.isBind:add(equipData.is_bind)
			self.putEquip2:setEnable(false);
			self.equipList[self.selectEquipNum]:showCloseSp(true, true, "REMOVE_EQUIP_ITEM2", "Lua_WingSyntheticWindow");
			self.equipList[self.selectEquipNum]:removeFun(false);
			self.equipList[self.selectEquipNum].item_bg:addClickFuntion(self, self.onWingIconClick2);
		elseif self.selectEquipNum == 3 then
			self.equipIsBind_3 = equipData.is_bind
			self.isBind:add(equipData.is_bind)
			self.putEquip3:setEnable(false);
			self.equipList[self.selectEquipNum]:showCloseSp(true, true, "REMOVE_EQUIP_ITEM3", "Lua_WingSyntheticWindow");
			self.equipList[self.selectEquipNum]:removeFun(false);
			self.equipList[self.selectEquipNum].item_bg:addClickFuntion(self, self.onWingIconClick3);
		elseif self.selectEquipNum == 4 then
			self.equipIsBind_4 = equipData.is_bind
			self.isBind:add(equipData.is_bind)
			self.putEquip4:setEnable(false);
			self.equipList[self.selectEquipNum]:showCloseSp(true, true, "REMOVE_EQUIP_ITEM4", "Lua_WingSyntheticWindow");
			self.equipList[self.selectEquipNum]:removeFun(false);
			self.equipList[self.selectEquipNum].item_bg:addClickFuntion(self, self.onWingIconClick4);
		elseif self.selectEquipNum == 5 then
			self.equipIsBind_5 = equipData.is_bind
			self.isBind:add(equipData.is_bind)
			self.putEquip5:setEnable(false);
			self.equipList[self.selectEquipNum]:showCloseSp(true, true, "REMOVE_EQUIP_ITEM5", "Lua_WingSyntheticWindow");
			self.equipList[self.selectEquipNum]:removeFun(false);
			self.equipList[self.selectEquipNum].item_bg:addClickFuntion(self, self.onWingIconClick5);
		end

		local _mater = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemByIndex(tonumber(equipData.pkg_index));
		self.equipList[self.selectEquipNum].data = _mater
		self.equip_list[self.selectEquipNum] = equipData
		self:addSucceed(equipData);
		DataCenter.GodWingData:removeOnePackEquipInfo(equipData);
	end
end

function Lua_WingSyntheticWindow:onWingIconClick1()
	if self.equipList[1].data ~= nil then
		Lua_PackUtil.showItemInfo(self.equipList[1].data, false, nil, false);
	end
end

function Lua_WingSyntheticWindow:onWingIconClick2()
	if self.equipList[2].data ~= nil then
		Lua_PackUtil.showItemInfo(self.equipList[2].data, false, nil, false);
	end
end

function Lua_WingSyntheticWindow:onWingIconClick3()
	if self.equipList[3].data ~= nil then
		Lua_PackUtil.showItemInfo(self.equipList[3].data, false, nil, false);
	end
end

function Lua_WingSyntheticWindow:onWingIconClick4()
	if self.equipList[4].data ~= nil then
		Lua_PackUtil.showItemInfo(self.equipList[4].data, false, nil, false);
	end
end

function Lua_WingSyntheticWindow:onWingIconClick5()
	if self.equipList[5].data ~= nil then
		Lua_PackUtil.showItemInfo(self.equipList[5].data, false, nil, false);
	end
end

function Lua_WingSyntheticWindow:addSucceed(data)
	local classNum = 0
	local colorNum = 0
	local starNum = 0
	if data.equip_class ~= 0 and data.equip_color ~= 0 and data.equip_star ~= 0 then
		if self.wing_rank == 0 then
			classNum = Lua_WingUtil.getRateConfig("one_lvl", data.equip_class, "order_rate")
			colorNum = Lua_WingUtil.getRateConfig("one_lvl", data.equip_color, "color_rate")
			starNum = Lua_WingUtil.getRateConfig("one_lvl", data.equip_star, "star_rate")
		elseif self.wing_rank == 1 then
			classNum = Lua_WingUtil.getRateConfig("two_lvl", data.equip_class, "order_rate")
			colorNum = Lua_WingUtil.getRateConfig("two_lvl", data.equip_color, "color_rate")
			starNum = Lua_WingUtil.getRateConfig("two_lvl", data.equip_star, "star_rate")
		elseif self.wing_rank == 2 then
			classNum = Lua_WingUtil.getRateConfig("three_lvl", data.equip_class, "order_rate")
			colorNum = Lua_WingUtil.getRateConfig("three_lvl", data.equip_color, "color_rate")
			starNum = Lua_WingUtil.getRateConfig("three_lvl", data.equip_star, "star_rate")
		elseif self.wing_rank == 3 then
			classNum = Lua_WingUtil.getRateConfig("four_lvl", data.equip_class, "order_rate")
			colorNum = Lua_WingUtil.getRateConfig("four_lvl", data.equip_color, "color_rate")
			starNum = Lua_WingUtil.getRateConfig("four_lvl", data.equip_star, "star_rate")
		elseif self.wing_rank == 4 then
			classNum = Lua_WingUtil.getRateConfig("five_lvl", data.equip_class, "order_rate")
			colorNum = Lua_WingUtil.getRateConfig("five_lvl", data.equip_color, "color_rate")
			starNum = Lua_WingUtil.getRateConfig("five_lvl", data.equip_star, "star_rate")
		end
	end

	self.success_rate = self.success_rate + classNum + colorNum + starNum;
	if self.maxSuccessRate[2] >= self.success_rate then
		self.successNum = self.success_rate
	else
		self.successNum = self.maxSuccessRate[2]
	end
	self.succeedLabel.text = LanUtil.formateStr(LanUtil.getValue(110725), tostring(self.successNum .. "%"));
	self:checkWingIsBind();
end

function Lua_WingSyntheticWindow:REMOVE_EQUIP_ITEM5()
	self.removeNum = 5
	self.isBind:removeItem(self.equipIsBind_5)
	self:rmoveEquip(self.removeNum);
	self.putEquip5:setEnable(true);
end

function Lua_WingSyntheticWindow:REMOVE_EQUIP_ITEM4()
	self.removeNum = 4
	self.isBind:removeItem(self.equipIsBind_4)
	self:rmoveEquip(self.removeNum);
	self.putEquip4:setEnable(true);
end

function Lua_WingSyntheticWindow:REMOVE_EQUIP_ITEM3()
	self.removeNum = 3
	self.isBind:removeItem(self.equipIsBind_3)
	self:rmoveEquip(self.removeNum);
	self.putEquip3:setEnable(true);
end

function Lua_WingSyntheticWindow:REMOVE_EQUIP_ITEM2()
	self.removeNum = 2
	self.isBind:removeItem(self.equipIsBind_2)
	self:rmoveEquip(self.removeNum);
	self.putEquip2:setEnable(true);
end

function Lua_WingSyntheticWindow:REMOVE_EQUIP_ITEM1()
	self.removeNum = 1
	self.isBind:removeItem(self.equipIsBind_1)
	self:rmoveEquip(self.removeNum);
	self.putEquip1:setEnable(true);
end

function Lua_WingSyntheticWindow:rmoveEquip(num)
	DataCenter.GodWingData:addOnePackEquipInfo(self.equip_list[num]);
	local classNum = 0;
	local colorNum = 0;
	local starNum = 0;
	if self.equip_list[num].equip_class ~= 0 and self.equip_list[num].equip_color ~= 0 and self.equip_list[num].equip_star ~= 0 then
		if self.wing_rank == 0 then
			classNum = Lua_WingUtil.getRateConfig("one_lvl", self.equip_list[num].equip_class, "order_rate")
			colorNum = Lua_WingUtil.getRateConfig("one_lvl", self.equip_list[num].equip_color, "color_rate")
			starNum = Lua_WingUtil.getRateConfig("one_lvl", self.equip_list[num].equip_star, "star_rate")
		elseif self.wing_rank == 1 then
			classNum = Lua_WingUtil.getRateConfig("two_lvl", self.equip_list[num].equip_class, "order_rate")
			colorNum = Lua_WingUtil.getRateConfig("two_lvl", self.equip_list[num].equip_color, "color_rate")
			starNum = Lua_WingUtil.getRateConfig("two_lvl", self.equip_list[num].equip_star, "star_rate")
		elseif self.wing_rank == 2 then
			classNum = Lua_WingUtil.getRateConfig("three_lvl", self.equip_list[num].equip_class, "order_rate")
			colorNum = Lua_WingUtil.getRateConfig("three_lvl", self.equip_list[num].equip_color, "color_rate")
			starNum = Lua_WingUtil.getRateConfig("three_lvl", self.equip_list[num].equip_star, "star_rate")
		elseif self.wing_rank == 3 then
			classNum = Lua_WingUtil.getRateConfig("four_lvl", self.equip_list[num].equip_class, "order_rate")
			colorNum = Lua_WingUtil.getRateConfig("four_lvl", self.equip_list[num].equip_color, "color_rate")
			starNum = Lua_WingUtil.getRateConfig("four_lvl", self.equip_list[num].equip_star, "star_rate")
		elseif self.wing_rank == 4 then
			classNum = Lua_WingUtil.getRateConfig("five_lvl", self.equip_list[num].equip_class, "order_rate")
			colorNum = Lua_WingUtil.getRateConfig("five_lvl", self.equip_list[num].equip_color, "color_rate")
			starNum = Lua_WingUtil.getRateConfig("five_lvl", self.equip_list[num].equip_star, "star_rate")
		end
	end

	self.success_rate = self.success_rate - classNum - colorNum - starNum;
	if self.maxSuccessRate[1] <= self.success_rate and self.maxSuccessRate[2] >= self.success_rate then
		self.successNum = self.success_rate
	elseif self.maxSuccessRate[2] <= self.success_rate then
		self.successNum = self.maxSuccessRate[2]
	else
		self.successNum = self.maxSuccessRate[1]
		self.success_rate = self.maxSuccessRate[1];
	end

	self.succeedLabel.text = LanUtil.formateStr(LanUtil.getValue(110725), tostring(self.successNum .. "%"));
	self.equipList[num].data = nil
	self.equip_list[num] = nil;
	self.equipList[num]:showCloseSp(false, false, nil);
	self:checkWingIsBind();
end

function Lua_WingSyntheticWindow:SelectWingClick()
	local wingData = DataCenter.GodWingData:getSelectWing();
	self.wing = wingData;
	local _mater = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemByIndex(tonumber(wingData.wing_pack_index));
	self.needList[2].data = _mater;
	DataCenter.GodWingData:removeOnePackWingInfo(self.wing);
	self.needList[2]:showCloseSp(true, true, "REMOVE_WING_ITEM", "Lua_WingSyntheticWindow");
	self.putWing:setEnable(false);
	self.isBind:add(wingData.is_bind);
	self:checkWingIsBind();
end

function Lua_WingSyntheticWindow:REMOVE_WING_ITEM()
	self.putWing:setEnable(true);
	DataCenter.GodWingData:addOnePackWingInfo(self.wing);
	DataCenter.GodWingData:deleteSelectWing();
	self.isBind:removeItem(self.wing.is_bind);
	self.wing = nil;
	self.needList[2].data = nil;
	self.needList[2]:showCloseSp(false, false, nil);
	self:checkWingIsBind();
end

function Lua_WingSyntheticWindow:onBtnClick(val)
	if self.btnNames[val].openId ~= nil and DataCenter.funcOpenData:isOpened(self.btnNames[val].openId) == false then
		local tipsStr = getConfig({"func_open", self.btnNames[val].openId, "advance_message"});
		if tipsStr ~= nil then
			OperateAlert.show(tipsStr);
		end
		-- self.btnList:setSelected(self.selectIndex, false);
		return;
	end
	self.selectIndex = val;

	self.wing_rank = val - 1;
	self.isBind = Array();
	if val == 1 then
		self.needList[2]:showLockSlot(true);
		self.putWing:setEnable(false);
	else
		self.needList[2]:showLockSlot(false);
		self.putWing:setEnable(true);
	end
	local syntheticInfo = DataCenter.GodWingData:getWingInfoByWingRank(val - 1);
	self.maxSuccessRate = Lua_WingUtil.getSynthesis_success_rate(self.wing_rank + 1)
	self.success_rate = syntheticInfo.success_rate
	self.successNum = syntheticInfo.success_rate

	local successnum = self.success_rate .. "%";
	self.succeedLabel.text = LanUtil.formateStr(LanUtil.getValue(110725), tostring(successnum));
	for i, v in ipairs(syntheticInfo.need_props_info) do
		if self.wing_rank == 4 then
			if i == 1 then
				self.fiveList[1].data = Lua_ToolVo.new(v.props_id, 1, v.is_bind);
				self.fiveList[1]:showNumLimit(v.have_props_number, v.need_props_number, 2);
				self.fiveList[1]:showLockSlot(false);
			elseif i == 2 then
				self.needList[1].data = Lua_ToolVo.new(v.props_id, 1, v.is_bind);
				self.needList[1]:showNumLimit(v.have_props_number, v.need_props_number, 2);
			end
		else
			self.fiveList[1].data = nil
			self.fiveList[1]:showLockSlot(true);
			self.needList[i].data = Lua_ToolVo.new(v.props_id, 1, v.is_bind);
			self.needList[i]:showNumLimit(v.have_props_number, v.need_props_number, 2);
		end
		self.isBind:add(v.is_bind)
		self.propsInfo:clear();
		self.propsInfo:add(v.have_props_number)
		self.propsInfo:add(v.need_props_number)
	end

	local getWingData;
	for i, v in ipairs(syntheticInfo.obtain_wing_props) do
		getWingData = Lua_ToolVo.createToolVo(v, 1, self.isBind[1]);
		getWingData.wingColor = 0
		self.getList[i].data = getWingData
	end
	self.putEquip1:setEnable(true);
	self.putEquip2:setEnable(true);
	self.putEquip3:setEnable(true);
	self.putEquip4:setEnable(true);
	self.putEquip5:setEnable(true);
	self.needList[2].data = nil;
	self.needList[2]:showCloseSp(false, false, nil);

	for i = 1, self.equipList:getSize() do
		self.equipList[i].data = nil;
		self.equipList[i]:showCloseSp(false, false, nil);
	end

	DataCenter.GodWingData:clearSelectEquipNum();
	DataCenter.GodWingData:clearSelectWingNum();
	sendMsg(11403818);
end

-- 判断合成获得的神翼是否绑定
function Lua_WingSyntheticWindow:checkWingIsBind()
	local syntheticInfo = DataCenter.GodWingData:getWingInfoByWingRank(self.wing_rank);
	local is_bind_bool = false;
	for i = 1, self.isBind:getSize() do
		if self.isBind[i] == 1 then
			is_bind_bool = true;
		end
	end

	local getWingData;
	if is_bind_bool == true then
		for i, v in ipairs(syntheticInfo.obtain_wing_props) do
			getWingData = Lua_ToolVo.new(v, 1, 1);
			getWingData.wingColor = 0
			self.getList[i].data = getWingData;
		end
	else
		for i, v in ipairs(syntheticInfo.obtain_wing_props) do
			getWingData = Lua_ToolVo.new(v, 1, 0);
			getWingData.wingColor = 0
			self.getList[i].data = getWingData;
		end
	end
end